javax.security.auth.message.callback

## Class SecretKeyCallback

- java.lang.Object
- - javax.security.auth.message.callback.SecretKeyCallback

- All Implemented Interfaces:
    Callback

      public class SecretKeyCallback
      extends Object
      implements Callback

  Callback for acquiring a shared secret from a key repository. This Callback may be used by client or server authentication modules to obtain shared secrets (for example, passwords) without relying on a user during the Callback processing. This Callback is typically empoyed by `ClientAuthModules` invoked from intermediate components that need to acquire a password to authenticate to their target service.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecretKeyCallback.AliasRequest` Request type for secret keys that are identified using an alias.
    `static interface` | `SecretKeyCallback.Request` Marker interface for secret key request types.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecretKeyCallback(SecretKeyCallback.Request request)` Constructs this SecretKeyCallback with a secret key Request object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecretKey` | `getKey()` Used to obtain the secret key set within the Callback.
    `SecretKeyCallback.Request` | `getRequest()` Used by the CallbackHandler to get the Request object which identifies the secret key to be returned.
    `void` | `setKey(SecretKey key)` Used by the CallbackHandler to set the requested secret key within the Callback.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecretKeyCallback

          public SecretKeyCallback(SecretKeyCallback.Request request)

      Constructs this SecretKeyCallback with a secret key Request object.

      The request object identifies the secret key to be returned. If the alias is null, the handler of the callback relies on its own default.

      Parameters:
        `request` - Request object identifying the secret key, or null.

  - ### Method Detail

    - #### getRequest

          public SecretKeyCallback.Request getRequest()

      Used by the CallbackHandler to get the Request object which identifies the secret key to be returned.
      Returns:
        The Request object which identifies the private key to be returned, or null. If null, the handler of the callback relies on its own default.

    - #### setKey

          public void setKey(SecretKey key)

      Used by the CallbackHandler to set the requested secret key within the Callback.
      Parameters:
        `key` - The secret key, or null if no key was found.

    - #### getKey

          public SecretKey getKey()

      Used to obtain the secret key set within the Callback.
      Returns:
        The secret key, or null if no key was found.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.